<?php ob_start();
require_once 'lib/nusoap.php';
require_once 'config.php';
require_once 'telegram.php';
$telegram = new telegram(TOKEN,HOST,USERNAME,PASSWORD,DBNAME);

$gateways = $telegram->db->query("select * from gateway where id=1")->fetch(2);
$TokenCode = AQAPAY;

if(!isset($_GET['type'])) die('type');


$action = isset($_GET['action']) ? $_GET['action'] : 'pay';
$type = $_GET['type'];
$callback_url = baseURI."/aqapay.php?type=$type&action=verify";

if($type == 'renew'){
    if($action == 'pay'){
        $token = base64_decode($_GET['token']); 
        $input = explode('#',$token); 
        $userid = intval($input[0]);
        $fid = intval($input[1]);
        $oid = intval($input[2]);
        $order = $telegram->db->query("select * from fl_order where id=$oid")->fetch(2);
        $fid = $order['fileid'];
        $remark = $order['remark'];
        $server_id = $order['server_id'];
        $inbound_id = $order['inbound_id'];
        $respd = $telegram->db->query("select * from fl_file WHERE id='$fid' and active=1")->fetch(2);
        $name = $respd['title'];
        $days = $respd['days'];
        $volume = $respd['volume'];
        $price = $respd['price'];
        
        if(!is_null($input[2])){
            $dcode = htmlspecialchars(strip_tags($input[2]));
            $dcount = $telegram->db->query("select * from fl_discount WHERE code='$dcode' and active=1");
            if($dcount->rowCount() > 0){
                $amount = $dcount->fetch(2)['amount'];
                if($amount <= 100) {
                    $price = $price * (100-$amount)/100;
                }else {
                    $price = $price - $amount ;
                }
            }
        }
        
        aqa_payment($price, $TokenCode, base64_encode($token), $callback_url);
    }elseif($action == 'verify'){
        $token = base64_decode($_GET['InvoiceID']);
        if(!$token) exit;
        
        $input = explode('#',$token);
        $userid = intval($input[0]);
        $fid = intval($input[1]);
        $oid = intval($input[2]);
        $order = $telegram->db->query("select * from fl_order where id=$oid")->fetch(2);
        //$fid = $order['fileid'];
        $remark = $order['remark'];
        $server_id = $order['server_id'];
        $inbound_id = $order['inbound_id'];
        $expire_date = $order['expire_date'];
        $expire_date = ($expire_date > $time) ? $expire_date : $time;
        $respd = $telegram->db->query("select * from fl_file WHERE id='$fid' and active=1")->fetch(2);
        $name = $respd['title'];
        $days = $respd['days'];
        $volume = $respd['volume'];
        $price = $respd['price'];
        $srvid = $respd['server_id'];
        $time = time();

        $pay_result = aqa_verify($price, $TokenCode); 
        if($pay_result == 'success'){

            $srvdetail = $telegram->db->query("select * from server_info where id=$srvid")->fetch(2);
            if($srvdetail['ptype'] == 'marzban'){
                $username = $remark;
                require_once('marz.php');
                $response = edit_muser($server_id, $username, $expire_date, $volume, $protocol);  
                if(is_null($response) or !$response){
                    die('🔻اتصال به سرور برقرار نیست. لطفا به مدیریت اطلاع بدید');
                }
            
            	if(!$response->subscription_url){
                    die('🔻خطا در تمدید سرویس. لطفا به مدیریت اطلاع بدید');
                }
            
            	if(is_null($response)){
            		die('🔻مشکل فنی در اتصال به سرور. لطفا به مدیریت اطلاع بدید');
            	}
            }else{
                require_once('vray.php');
                if($inbound_id > 0)
                    $response = renew_client($server_id, $inbound_id, $remark, $volume, $days);
                else
                    $response = renew_inbound($server_id, $remark, $volume, $days);
                    
                if(!$response->success){
                    die("مشکل فنی در ارتباط با سرور. لطفا به مدیریت اطلاع بدید");
                }
            }
            if(true){
                $telegram->db->query("update fl_order set expire_date= $expire_date + $days * 86400,notif=0 where id='$oid'"); 
                $telegram->db->query("INSERT INTO `fl_extra_order` VALUES (NULL, '$userid', '$server_id', '$inbound_id', '$remark', '$price', '$time');");
                //echo 'تراکنش با موفقیت انجام شد';
                //$msg = "✅ سفارش شما با موفقیت ثبت شد";
                $telegram->sendMessage($userid, $msg);
        $sndmsg = "
تمدید سرویس $remark با آقا
قیمت : $price
آیدی کاربر : $userid
آیدی سرور : $server_id
تعداد روز  $days
تعداد گیگ $volume
";
		        $telegram->sendMessage($sendchnl,$sndmsg);
		        echo file_get_contents('success/index.php');
		        $userReferer = $telegram->db->query("select * from fl_subuser where userid=$userid");
                if($userReferer->rowCount() ){
					$ures = $userReferer->fetch(2);
					$userToplevel = $ures['toplevel_userid'];
					$ufname = $ures['fname'];
					$amount = $pursant > 100 ? $pursant : ($price) * ($pursant / 100);
					$telegram->db->query("update fl_user set wallet= wallet + $amount WHERE userid=$userToplevel");
					if($pursant > 100) $msg = "💟کاربر {$ufname} یک خرید به مبلغ  $price تومان انجام داد و $amount تومان به عنوان هدیه به کیف پول شما اضافه شد👍";
					else $msg = "💟کاربر {$ufname} یک خرید به مبلغ  $price تومان انجام داد و $pursant درصد آن یعنی $amount تومان به کیف پول شما اضافه شد👍";
					$telegram->sendMessage($userToplevel, $msg); 
				}
                $telegram->sendMessage($userid, "✅سرویس $remark با موفقیت تمدید شد");exit;
        
            }else {
                die("مشکل فنی در ارتباط با سرور. لطفا به مدیریت اطلاع بدید");
            }
        }
        
        
    }
}

if($type == 'day'){
    if($action == 'pay'){
        $token = base64_decode($_GET['token']);
        $input = explode('#',$token); 
        $server_id = intval($input[0]);
        $inbound_id = intval($input[1]);
        $remark = htmlspecialchars(strip_tags($input[2]));
        $planid = intval($input[3]);
        $userid = intval($input[4]); 
        $res = $telegram->db->query("select * from extra_day where id=$planid")->fetch(2);  
        $price = $res['price'];
        //$seller = $telegram->db->query("select * from fl_sellers where userid=$userid")->fetch(2);
           // if(!empty($seller)) $price = $price - (($price) * ($seller['percent'] / 100));
        $volume = $res['volume'];
        aqa_payment($price, $TokenCode, base64_encode($token), $callback_url);
    }elseif($action == 'verify'){
        $token = base64_decode($_GET['InvoiceID']);
        if(!$token) exit;
        
        $input = explode('#',$token);
        $server_id = $input[0];
        $inbound_id = $input[1];
        $remark = $input[2];
        $planid = $input[3];
        $userid = $input[4];
        $res = $telegram->db->query("select * from extra_day where id=$planid")->fetch(2);  
        $volume = $res['volume'];
        $price = $res['price'];
        
        //$seller = $telegram->db->query("select * from fl_sellers where userid=$userid")->fetch(2);
            //if(!empty($seller)) $price = $price - (($price) * ($seller['percent'] / 100));
        
        $time = time();

        $pay_result = aqa_verify($price, $TokenCode);
        if($pay_result == 'success'){
            
            $srv_type = $telegram->db->query("select * from server_info WHERE id='$server_id'")->fetch(2)['ptype'];
            if($srv_type == 'marzban'){
                $username = $remark;
                require_once('marz.php');
                $response = muser_detail($server_id, $username);
                if(is_null($response) or !$response){
                    die('🔻اتصال به سرور برقرار نیست. لطفا به مدیریت اطلاع بدید');
                }
            
            	if(!$response->subscription_url){
                    die('🔻خطا دریافت اطلاعات. به مدیریت اطلاع بدید');
                }
                $expire = $response->expire;
                if($expire < $time) $expire = $time + ($volume * 86400);
                else $expire += $volume * 86400;
                
                $response->expire = $expire;
                $response->status = 'active';
                $response = add_mtraffic($server_id, $username, $response); 
                if(is_null($response) or !$response){
                    die('🔻اتصال به سرور برقرار نیست. لطفا به مدیریت اطلاع بدید');
                }
            
            	if($response->detail){
                    die('🔻خطا دریافت اطلاعات. به مدیریت اطلاع بدید');
                }
            }else{
                require_once('vray.php');
                if($inbound_id > 0)
                    $response = update_client_traffic($server_id, $inbound_id, $remark, 0, $volume);
                else
                    $response = update_inbound_traffic($server_id, $remark, 0, $volume);
                
                if(!$response->success){
                    die("به دلیل مشکل فنی امکان افزایش حجم نیست. لطفا به مدیریت اطلاع بدید یا 5دقیقه دیگر دوباره تست کنید");
                }
            }
            if(true){
                $telegram->db->query("update fl_order set expire_date= expire_date + $volume * 86400,notif=0 where remark='$remark'");
                $telegram->db->query("INSERT INTO `fl_extra_order` VALUES (NULL, '$userid', '$server_id', '$inbound_id', '$remark', '$price', '$time');");
				echo 'تراکنش با موفقیت انجام شد';
				$msg = "✅ سفارش شما با موفقیت ثبت شد";
				$telegram->sendMessage($userid, $msg);
                $telegram->sendMessage($userid, "✅$volume روز به مدت زمان سرویس شما اضافه شد");
                $sndmsg = "
خرید $volume روز با آقا
قیمت : $price
آیدی کاربر : $userid
آیدی سرور : $server_id
ریمارک : $remark
";
                $telegram->sendMessage($sendchnl,$sndmsg);
                echo file_get_contents('success/index.php');
        
            }else {
                die("مشکل فنی در ارتباط با سرور. لطفا به مدیریت اطلاع بدید");
            }
        }
        
        
    }
}

if($type == 'volume'){
    if($action == 'pay'){
        $token = base64_decode($_GET['token']);
        $input = explode('#',$token);   var_dump($input);
        $server_id = intval($input[0]);
        $inbound_id = intval($input[1]);
        $remark = htmlspecialchars(strip_tags($input[2]));
        $planid = intval($input[3]);
        $userid = intval($input[4]); 
        $res = $telegram->db->query("select * from extra_plan where id=$planid")->fetch(2);  
        $price = $res['price'];
        $volume = $res['volume'];
        //$seller = $telegram->db->query("select * from fl_sellers where userid=$userid")->fetch(2);
           // if(!empty($seller)) $price = $price - (($price) * ($seller['percent'] / 100));
        aqa_payment($price, $TokenCode, base64_encode($token), $callback_url);
    }elseif($action == 'verify'){
        $token = base64_decode($_GET['InvoiceID']);
        if(!$token) exit;
        
        //$token = base64_decode($token);
        $input = explode('#',$token);
        $server_id = $input[0];
        $inbound_id = $input[1];
        $remark = $input[2];
        $planid = $input[3];
        $userid = $input[4];
        $res = $telegram->db->query("select * from extra_plan where id=$planid")->fetch(2);  
        $price = $res['price'];
       // $seller = $telegram->db->query("select * from fl_sellers where userid=$userid")->fetch(2);
            //if(!empty($seller)) $price = $price - (($price) * ($seller['percent'] / 100));
        $volume = $res['volume'];
        $time = time();

        $pay_result = aqa_verify($price, $TokenCode);
        if($pay_result == 'success'){

            $srv_type = $telegram->db->query("select * from server_info WHERE id='$server_id'")->fetch(2)['ptype'];
            if($srv_type == 'marzban'){
                $username = $remark;
                require_once('marz.php');
                $response = muser_detail($server_id, $username); //$telegram->sendMessage($userid, json_encode($input));exit;
                if(is_null($response) or !$response){
                    die('🔻اتصال به سرور برقرار نیست. لطفا به مدیریت اطلاع بدید');
                }
            
            	if(!$response->subscription_url){
                    die('🔻خطا دریافت اطلاعات. به مدیریت اطلاع بدید');
                }
                $response->data_limit += $volume * 1073741824;
                $response->status = 'active';
                $response = add_mtraffic($server_id, $username, $response); 
                if(is_null($response) or !$response){
                    die('🔻اتصال به سرور برقرار نیست. لطفا به مدیریت اطلاع بدید');
                }
            
            	if($response->detail){
                    die('🔻خطا دریافت اطلاعات. به مدیریت اطلاع بدید');
                }
            }else{
                require_once('vray.php');
                if($inbound_id > 0)
                    $response = update_client_traffic($server_id, $inbound_id, $remark, $volume, 0);
                else
                    $response = update_inbound_traffic($server_id, $remark, $volume, 0);
                
                if(!$response->success){
                    die("به دلیل مشکل فنی امکان افزایش حجم نیست. لطفا به مدیریت اطلاع بدید یا 5دقیقه دیگر دوباره تست کنید");
                }
            }
            if(true){
                $telegram->db->query("update fl_order set notif=0 where remark='$remark'");
                $telegram->db->query("INSERT INTO `fl_extra_order` VALUES (NULL, '$userid', '$server_id', '$inbound_id', '$remark', '$price', '$time');");
				//echo 'تراکنش با موفقیت انجام شد';
				$msg = "✅ سفارش شما با موفقیت ثبت شد";
				$telegram->sendMessage($userid, $msg);
                $telegram->sendMessage($userid, "✅$volume گیگ به حجم سرویس شما اضافه شد");
                $sndmsg = "
خرید $volume گیگ با آقا
قیمت : $price
آیدی کاربر : $userid
آیدی سرور : $server_id
ریمارک : $remark
";
                $telegram->sendMessage($sendchnl,$sndmsg);
                echo file_get_contents('success/index.php');

            }else {
                die("مشکل فنی در ارتباط با سرور. لطفا به مدیریت اطلاع بدید");
            }
        }
        
        
    }
}

if($type == 'wallet'){
    if($action == 'pay'){
        $amount = intval($_GET['amount']);
        //if($amount < $min_wallet_charge) die('مبلغ کمتر از 2هزار تومان است');
        $userid = intval($_GET['order']);
        $result = $telegram->db->query("select * from fl_user WHERE userid='$userid'")->rowCount();
        if($result == 0) die('اطلاعات ارسال اشتباه است');
        $telegram->db->query("INSERT INTO `fl_wallet` VALUES (NULL, '',$amount, $userid, '','0', '$time');");
        $woid = $telegram->db->lastInsertId();
        aqa_payment($amount, $TokenCode, base64_encode($woid), $callback_url);
    }elseif($action == 'verify'){
        $woid = intval(base64_decode($_GET['InvoiceID']));
        if(!$woid) exit;
        
        $res = $telegram->db->query("select * from fl_wallet where id='$woid' and status=0")->fetch(2);
        if(empty($res)) exit;
        $amount = $res['amount'];
        $userid = $res['userid'];
        $pay_result = aqa_verify($amount, $TokenCode);
        if($pay_result == 'success'){
            //echo '<h1 style="text-align:right;color:green;">کیف پول شما با موفقیت شارژ شد</h1>' ; 
            $telegram->db->query("update fl_user set wallet= wallet + $amount where userid='$userid'");
            $telegram->db->query("update fl_wallet set status=1 where id=$woid");
            $msg = "✅ کیف پول شما به مبلغ $amount تومان شارژ شد ";
            $telegram->sendMessage($userid, $msg);
            
$sndmsg = "
شارژ $amount با آقا
آیدی کاربر : $userid
";
$telegram->sendMessage($sendchnl,$sndmsg);
            echo file_get_contents('success/index.php');
        }
        
        
    }
}

if($type == 'buy'){
    if($action == 'pay'){
        if(!isset($_GET['token'])){
            header('location:https://t.me/'.botid);
            exit;
        }
        
        $token = base64_decode($_GET['token']); 
        $token = explode('.',$token);
        $userid = intval($token[0]);
        $fid = intval($token[1]);
        
        
        $file_detail = $telegram->db->query("select * from fl_file WHERE id=$fid")->fetch(2); 
        $date = time();
        $days = $file_detail['days'];
        $expire_date = $date + (86400 * $days);
        $protocol = $file_detail['protocol'];
        $price = $file_detail['price'];
        //$seller = $telegram->db->query("select * from fl_sellers where userid=$userid")->fetch(2);
            //if(!empty($seller)) $price = $price - (($price) * ($seller['percent'] / 100));
        $server_id = $file_detail['server_id'];
        $acount = $file_detail['acount'];
        $inbound_id = $file_detail['inbound_id'];
        
        if(!is_null($token[2])){
            $dcode = htmlspecialchars(strip_tags($token[2]));
            $dcount = $telegram->db->query("select * from fl_discount WHERE code='$dcode' and active=1");
            if($dcount->rowCount() > 0){
                $amount = $dcount->fetch(2)['amount'];
                if($amount <= 100) {
                    $price = $price * (100-$amount)/100;
                }else {
                    $price = $price - $amount ;
                }
            }
        }
            
        if($acount == 0 and $inbound_id != 0){
            echo 'ظرفیت این کانکشن پر شده است';
            exit;
        }
        
        $ttkon = isset($token[2]) ? base64_encode("$userid#$price#$fid#$dcode") : base64_encode("$userid#$price#$fid");
        aqa_payment($price, $TokenCode, $ttkon, $callback_url);
    }elseif($action == 'verify'){
        
        $token = base64_decode($_GET['InvoiceID']);
        if(!$token) exit;
        
        $input = explode('#',$token); //var_dump($token);die;
        $userid = intval($input[0]);
        $price = intval($input[1]);
        $fid = intval($input[2]);
        if($input[3]) $dcode = htmlspecialchars(strip_tags($input[3]));
        
        $file_detail = $telegram->db->query("select * from fl_file WHERE id=$fid")->fetch(2);
        $days = $file_detail['days'];
        $date = time();
        $expire_microdate = ($file_detail['first_use'] == '1' and $inbound_id > 0) ? -abs(86400000 * $days) : intval(floor(microtime(true) * 1000) + (864000 * $days * 100));
        $expire_date = $date + (86400 * $days);
        $type = $file_detail['type'];
        $volume = $file_detail['volume'];
        $protocol = $file_detail['protocol'];
        $price = $file_detail['price'];

        if(isset($dcode)){ 
            $dcode = htmlspecialchars(strip_tags($input[3]));
            $dcount = $telegram->db->query("select * from fl_discount WHERE code='$dcode' and active=1");
            if($dcount->rowCount() > 0){ 
                $amount = $dcount->fetch(2)['amount'];
                if($amount <= 100) {
                    $price = $price * (100-$amount)/100;
                }else {
                    $price = $price - $amount ;
                }
            }
        }

        $server_id = $file_detail['server_id'];
        $netType = $file_detail['type'];
        $acount = $file_detail['acount'];
        $inbound_id = $file_detail['inbound_id'];
        $limitip = $file_detail['limitip'];
        $sendcount = $file_detail['sendcount'];
        
        $pay_result = aqa_verify($price, $TokenCode);
        if($pay_result == 'success'){
			
			if($sendcount > 9){
				$telegram->sendMessage($userid, "✅بدلیل تعداد زیاد کانفیگ های درخواستی و محدودیت ارسال همزمان در سرور, لیست شما در صف انتظار قرار گرفت و 5 تا 10 دقیقه دیگر تمامی کانفیگ های درخواستی ایجاد و در ربات برای شما ارسال می شود");
				$telegram->db->query("INSERT INTO `sendcount_list` VALUES (NULL, '$fid', '$userid', '$sendcount');");
			}else{
				// V2ray Api
				require_once('vray.php');
				for($i=0;$i<$sendcount; $i++){
					
					$uniqid = generateRandomString(42,$protocol); 
					$savedinfo = file_get_contents('savedinfo.txt');
					$savedinfo = explode('-',$savedinfo);
					$port = $savedinfo[0] + 1;
					$last_num = $savedinfo[1] + 1;
				
					$srv_remark = $telegram->db->query("select * from fl_server WHERE id=$server_id")->fetch(2)['remark'];
					$uremark = $telegram->db->query("select * from fl_remark where userid='$userid'")->fetch(2);
					if($uremark) $uremark = $uremark['remark']; else $uremark = $srv_remark;
					$remark = "{$uremark}-{$last_num}";
				
					file_put_contents('savedinfo.txt',$port.'-'.$last_num);
					//$telegram->sendMessage($cuserid,"$server_id, $uniqid, $inbound_id, $expire_microdate, $remark, $volume");exit;
					
					if($inbound_id == 0){    
						$response = add_inbound($server_id, $uniqid, $protocol, $port, $expire_microdate, $remark, $volume, $netType); 
						if(! $response->success){
							// run again
							$response = add_inbound($server_id, $uniqid, $protocol, $port, $expire_microdate, $remark, $volume, $netType);
						} 
					}else {
						$response = add_inbount_client($server_id, $uniqid, $inbound_id, $expire_microdate, $remark, $volume, $limitip); 
						if(! $response->success){
							// run again
							$response = add_inbount_client($server_id, $uniqid, $inbound_id, $expire_microdate, $remark, $volume, $limitip);
						} 
					}
					
					//$telegram->sendMessage($cuserid,json_encode($response));exit;
					 
					$vray_link = genLink($server_id, $uniqid, $protocol, $remark, $port, $netType, $inbound_id);
					$token = generateRandomString2(16);
					$getLink_url = baseURI."sub.php?token=".$token;
					if($gateways['sublink'] == 1){
						$addsub = "\n\n 🔗 لینک هوشمند سرویس شما: \n <code>$getLink_url</code>";
					}
					$acc_text = "🔗 $remark \n <code>$vray_link</code> $addsub" . " \n  برای کپی کردن لینک روی آن کلیک کنید \n";

					$file = "images/{$userid}.{$time}".rand(0,999999).".png";
					create_qrcode($vray_link, $file);
					$telegram->sendPhoto($userid,$acc_text,$file);
				
				
					
					if($inbound_id == 0) {
						$server_info = $telegram->db->query("SELECT * FROM fl_server WHERE id=$server_id")->fetch(2);
						if($server_info['ucount'] != 0)
							$telegram->db->query("UPDATE `fl_server` SET `ucount` = ucount - 1 WHERE id=$server_id");
					}else{
						if($acount != 0) 
							$telegram->db->query("UPDATE `fl_file` SET `acount` = acount - 1 WHERE id=$fid");
					}

					$date = time();
					$order = $telegram->db->query("INSERT INTO `fl_order` VALUES (NULL,  {$userid}, '', {$fid}, $server_id, $inbound_id, '$remark', '$protocol', $expire_date, '$vray_link', '$token', $price, '$token', 1, '$date', 0);");
					
				}
			}
		
			$telegram->sendMessage($userid, "✅سفارش شما با موفقیت ثبت شد");
			$sndmsg = "
خرید با درگاه آقا
قیمت : $price
آیدی کاربر : $userid
آیدی سرور : $server_id
تعداد : $sendcount
لینک دریافتی :

$vray_link
";

			$telegram->sendMessage($sendchnl,$sndmsg);
			echo file_get_contents('success/index.php');
			
            // pay referer
            $userReferer = $telegram->db->query("select * from fl_subuser where userid=$userid");
            if($userReferer->rowCount() ){
                $ures = $userReferer->fetch(2);
                $userToplevel = $ures['toplevel_userid'];
                $ufname = $ures['fname'];
                $amount = ($price) * ($pursant / 100);
                $telegram->db->query("update fl_user set wallet= wallet + $amount WHERE userid=$userToplevel");
                $telegram->sendMessage($userToplevel, "💟کاربر {$ufname} یک خرید به مبلغ  $price تومان انجام داد و $pursant درصد آن یعنی $amount تومان به کیف پول شما اضافه شد👍"); 
				
				$wallet_toplevel = $telegram->db->query("select * from fl_user where userid='$userToplevel'")->fetch(2)['wallet'];
        $msg = "واریز پورسانت
خریدار : $userid
یوزر بالاسری: $userToplevel
مقدار پورسانت: $amount تومان
کیف پول یوزر بالاسری: $wallet_toplevel";
        $telegram->sendMessage($sendchnl, $msg);
            }

            
        }
    } // verify
}

function aqa_payment($price, $TokenCode, $oid, $callback_url){
    global $telegram,$userid;
    $fields = [
        'description' => "uid= $userid",
        'amount' => urlencode($price),
        'pin' => urlencode($TokenCode),
        'callback' => urlencode("$callback_url&InvoiceID=$oid"),
    ]; //var_dump($fields) ;die;
    
    $fields_string = "";
    foreach ( $fields as $key => $value ) {
        $fields_string .= $key . '=' . $value . '&';
    }
    rtrim( $fields_string, '&' ); 
    $ch = curl_init();
    curl_setopt( $ch, CURLOPT_URL, 'https://panel.aqayepardakht.ir/api/v2/create/' );
    curl_setopt( $ch, CURLOPT_POST, count( $fields ) );
    curl_setopt( $ch, CURLOPT_POSTFIELDS, $fields_string );
    curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
    curl_setopt($ch, CURLOPT_ENCODING, 'gzip');
    $result = curl_exec( $ch );
    curl_close( $ch );
    
    $result = json_decode($result); 
    if($result->status == 'success'){
        $transid = $result->transid;
        //$telegram->db->query("UPDATE `fl_order` SET `transid` = '$transid' where id= '$oid'");
        header( 'Location: https://panel.aqayepardakht.ir/startpay/' . $transid );
        exit;
    }else{ var_dump($result);
        echo '<p class="text-center" style="color:red">خطا</p>';
    }
}

function aqa_verify($price, $TokenCode){
    
    $url = 'https://panel.aqayepardakht.ir/api/v2/verify/';
    $fields = array(
      'amount' => urlencode( $price ),
      'pin' => urlencode( $TokenCode ),
      'transid' => urlencode( $_POST[ "transid" ] ),
    );
    $fields_string = "";
    foreach ( $fields as $key => $value ) {
      $fields_string .= $key . '=' . $value . '&';
    }
    rtrim( $fields_string, '&' );
    $ch = curl_init();
    curl_setopt( $ch, CURLOPT_URL, $url );
    curl_setopt( $ch, CURLOPT_POST, count( $fields ) );
    curl_setopt( $ch, CURLOPT_POSTFIELDS, $fields_string );
    curl_setopt( $ch, CURLOPT_RETURNTRANSFER, true );
    curl_setopt($ch, CURLOPT_ENCODING, 'gzip');
    $result = curl_exec( $ch );
    curl_close( $ch );
    
    $result = json_decode($result);
    if($result->status == 'success'){
        return 'success';
    }else{
        echo '<div style="direction: rtl;"><p class="text-center" style="color:red;direction: rtl;">کد خطا : ' . print_r($result) . '</p></div>';
    }
}


